Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Summary:	Cairo - A vector graphics library.
Name:		cairo
Version:	1.6.4
Release:	1
License:	LGPL/MPL
URL:		http://cairographics.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires: 	/sbin/ldconfig
BuildRequires: 	pkg-config
BuildRequires: 	libXrender-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libpng-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	freetype-devel
BuildRequires: 	fontconfig-devel
BuildRequires:  poppler-devel
BuildRequires:  librsvg-devel
BuildRequires:	libxcb-devel
BuildRequires:	xcb-util-devel
BuildRequires:	pixman-devel >= 0.9.6

%description 
Cairo is a vector graphics library designed to provide high-quality
display and print output. Currently supported output targets include
the X Window System, OpenGL (via glitz), in-memory image buffers, and
image files (PDF, PostScript, and SVG).  Cairo is designed to produce
identical output on all output media while taking advantage of display
hardware acceleration when available (eg. through the X Render
Extension or OpenGL).

%package devel
Summary: 	Cairo developmental libraries and header files
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	libXrender-devel
Requires: 	libpng-devel
Requires: 	freetype-devel
Requires: 	fontconfig-devel
Requires: 	pkg-config
Requires: 	pixman-devel

%description devel
Developmental libraries and header files required for developing or
compiling software which links to the cairo library, which is an open
source vector graphics library.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --disable-static --enable-warnings --enable-xlib --enable-freetype \
	--enable-ps --enable-pdf --enable-svg \
	--disable-gtk-doc
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS BIBLIOGRAPHY BUGS ChangeLog COPYING COPYING-LGPL-2.1 COPYING-MPL-1.1 NEWS PORTING_GUIDE README
%{_libdir}/libcairo*.so.* 

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libcairo*.so
%{_libdir}/libcairo*.la
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/html/cairo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.4-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.8-1
- Version update
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.4-1
- Version update
* Mon Dec 31 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.4.12-1
- Version update
* Mon Aug 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.10-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.8-1
- Version update
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.0-2
- clean buildchain, disabled static
* Fri Mar 16 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.0-1
- Version update
* Wed Nov 08 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.6-2
- clean rebuild
* Tue Nov 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.6-1
- Version update
* Sun Sep 10 2006 Christian Metzen <metzench@ccux-linux.de> 1.2.4-2
- Adjusted requires for xorg 7.1
* Sat Aug 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.4-1
- Version update
* Thu Aug 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2-1
- Version update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Mon May 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-2
- added BuildRequires
* Thu Mar 16 2006 Christian Wasem <wasem@ccux-linux.de> 1.0.4-1
- Version update
* Wed Oct 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.2-1
- Version update
* Sun Sep 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Version update
* Sun Jul 10 2005 Christian Wasem <wasem@ccux-linux.de> 0.5.1-1
- update to Version 0.5.1
